<?php

	// ライブラリの読み込み
	require_once './Mobile_Detect.php' ;

	// インスタンスの作成
	$detect = new Mobile_Detect ;

	// HTML用
	$html = '' ;

	// 見出し
	$html .= '<h2>実行結果</h2>' ;

	// スマホの場合だけテキストを表示する
	if( $detect->isMobile() && !$detect->isTablet() )
	{
		$html .= '<dl>' ;

		// 各メソッドを実行する
		foreach( array( 'isiPhone' , 'isBlackBerry' , 'isNexus' , 'isSamsung' ) as $method )
		{
			$html .= 	'<dt>' . $method . '()</dt>' ;
			$html .= 		'<dd>' . ( ( $detect->{ $method }() ) ? '<b style="color:red">true</b>' : '<b style="color:blue">false</b>' ) . '</dd>' ;
		}

		$html .= '</dl>' ;
	}

	// デスクトップ、またはタブレットの場合だけテキストを表示する
	else
	{
		$html .= '<p>あなたの端末は<b>スマホ</b>じゃありません…。スマホでアクセスして下さい。</p>' ;
	}

?><!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta name="robots" content="noindex,nofollow">

		<!-- ビューポートの設定 -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0">

		<title>Mobile Detectで、スマホの機種を判定するサンプルデモ</title><!-- 

/********************************************************************************

	SYNCER 〜 知識、感動をみんなと同期(Sync)するブログ

	* 配布場所
	https://syncer.jp/how-to-use-mobile-detect

	* 動作確認
	https://syncer.jp/how-to-use-mobile-detect/demo/detect-mobile-models.php

	* 最終更新日時
	2015/08/14 02:49

	* 作者
	あらゆ

	** 連絡先
	Twitter: https://twitter.com/arayutw
	Facebook: https://www.facebook.com/arayutw
	Google+: https://plus.google.com/114918692417332410369/
	E-mail: info@syncer.jp

	※ バグ、不具合の報告、提案、ご要望など、お待ちしております。
	※ 申し訳ありませんが、ご利用者様、個々の環境における問題はサポートしていません。

********************************************************************************/

		-->
	</head>
<body>



<?php echo $html ?>


<p style="text-align:center"><a href="https://syncer.jp/how-to-use-mobile-detect">配布元: Syncer</a></p>






</body>
</html>
